Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 238423

Summary: Ebuild for libchamplain-0.2.2
Product: Gentoo Linux Reporter: Mikel Olasagasti <mikel>
Component: New packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: enhancement CC: jlec, pacho
Priority: High Keywords: EBUILD, InOverlay, InVCS
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://blog.pierlux.com/projects/libchamplain/en/
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 145502    
Bug Blocks: 288249, 300187    
Attachments: Ebuild for libchamplain-0.2.1
Ebuild for libchamplain-gtk-0.2.1
libchamplain-0.2.2
libchamplain-gtk-0.2.2

Description Mikel Olasagasti 2008-09-22 21:10:18 UTC
Libchamplain is a C library aimed to provide a Gtk+ widget to display rasterized maps.

Current features

    * Display a map (OpenStreetMap Mapnik, OpenArialMap, Maps For Free Relief)
          o Tiles are downloaded and cached
          o Downloaded tiles fade in
    * You can drag to move (à la Google Maps)
          o without or with kinetic scrolling (à la iPhone)
          o with elastic edges (à la iPhone)
    * You can zoom in / out (mouse wheel zoom requires patched Clutter-Gtk see bug)
    * You can center the map on coordinates (longitude, latitude)
    * Add markers on the map with a mixed Clutter/Champlain API
    * Add layers of markers
    * You can animate markers


Reproducible: Always




Depends on clutter
Comment 1 Mikel Olasagasti 2008-09-22 21:11:19 UTC
Created attachment 166140 [details]
Ebuild for libchamplain-0.2.1
Comment 2 Mikel Olasagasti 2008-09-22 21:11:45 UTC
Created attachment 166142 [details]
Ebuild for libchamplain-gtk-0.2.1
Comment 3 Olivier Crete (RETIRED) gentoo-dev 2008-10-03 21:41:45 UTC
1. You don't have to enable gtk-doc on the doc use flag, using the pre-generated gtk-doc will get us the exact same result.

2. I don't see any reason to use EAPI=1

3. You could have different description for both packages
Comment 4 Mikel Olasagasti 2008-10-09 20:31:24 UTC
Created attachment 167782 [details]
libchamplain-0.2.2

Fixed the issues Tester spotted
Comment 5 Mikel Olasagasti 2008-10-09 20:31:48 UTC
Created attachment 167784 [details]
libchamplain-gtk-0.2.2
Comment 6 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-08-18 13:41:44 UTC
libchamplain is an external dep of gnome-2.28. A premature eubild has been added to the gnome overlay @ http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git (layman -a gnome)
Comment 7 Justin Lecher (RETIRED) gentoo-dev 2010-06-18 09:04:23 UTC
In tree, thanks for the contribution.